Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMEXU1.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMEXU1.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMEXU1.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMEXU1 ; SLC/PKR/PJH - Reminder exchange repository utilities, #1.;08/16/2007
- ;;2.0;CLINICAL REMINDERS;**6**;Feb 04, 2005;Build 123
+PXRMEXU1 ; SLC/PKR/PJH - Reminder exchange repository utilities, #1. ;09/20/2004
+ ;;2.0;CLINICAL REMINDERS;;Feb 04, 2005
  ;=====================================================
 CLIST(IEN) ;Build the list of components for the repository
@@ -98,9 +98,9 @@
  ;
  ;=====================================================
-DELHIST(RIEN,IHIEN) ;Delete install history IHIEN in repository entry RIEN.
- N DA,DIK
- S DA=IHIEN,DA(1)=RIEN
- S DIK="^PXD(811.8,"_DA(1)_",130,"
- D ^DIK
+DELHIST(RIEN,IHIND) ;Delete install history IHIND in repository entry RIEN.
+ N DATE
+ S DATE=$P(^PXD(811.8,RIEN,130,IHIND,0),U)
+ K ^PXD(811.8,RIEN,130,IHIND)
+ K ^PXD(811.8,RIEN,130,"B",DATE)
  Q
  ;
@@ -146,82 +146,72 @@
 RIEN(LIEN) ;Given the list ien return the repository ien.
  N RIEN
- S RIEN=$G(^TMP("PXRMEXLR",$J,"SEL",LIEN))
+ S RIEN=$G(^TMP("PXRMEXLR",$J,"IDX",LIEN,LIEN))
  Q RIEN
  ;
  ;=====================================================
 SAVHIST ;Save the installation history in the repository.
- N ACTION,DATE,CMPNT,FTYPE,IND,INDEX,ITEM,JND,NEWNAME
- N SUB,TEMP,TOTAL,TYPE,USER
+ N ACTION,DATE,CMPNT,FTYPE,IND,INDEX,ITEM,JND,NEWNAME,TEMP,USER
  ;Find the first open spot in the Installation History node.
  S (IND,JND)=0
- F  S IND=+$O(^PXD(811.8,PXRMRIEN,130,IND)) S JND=JND+1 Q:(IND=0)!(IND>JND)
+ F  S IND=+$O(^PXD(811.8,PXRMRIEN,130,IND)) S JND=JND+1 Q:(IND=0)!(JND>IND)
+ ;Set the 0 node.
+ S ^PXD(811.8,PXRMRIEN,130,0)=U_"811.803DA"_U_JND_U_JND
  S IND=JND
- S JND=0
- F SUB="PXRMEXIA","PXRMEXIAD" D
- . S INDEX=0
- . F  S INDEX=$O(^TMP(SUB,$J,INDEX)) Q:+INDEX=0  D
- .. S JND=JND+1
- .. S CMPNT=$O(^TMP(SUB,$J,INDEX,""))
- .. S ITEM=$O(^TMP(SUB,$J,INDEX,CMPNT,""))
- .. S ACTION=$O(^TMP(SUB,$J,INDEX,CMPNT,ITEM,""))
- .. S NEWNAME=$G(^TMP(SUB,$J,INDEX,CMPNT,ITEM,ACTION))
- .. S ^PXD(811.8,PXRMRIEN,130,IND,1,JND,0)=INDEX_U_CMPNT_U_ITEM_U_ACTION_U_NEWNAME
- ..;Set the 0 node.
- .. S ^PXD(811.8,PXRMRIEN,130,IND,1,0)=U_"811.8031A"_U_JND_U_JND
- ..;Check for finding item changes and save them.
- .. S FTYPE=""
- .. I CMPNT["DEFINITION" S FTYPE="DEFF"
- .. I CMPNT["DIALOG" S FTYPE="DIAF"
- .. I CMPNT["TERM" S FTYPE="TRMF"
- .. I (FTYPE'=""),($D(^TMP(SUB,$J,FTYPE))) D
- ... N FI,FINDING,KND,OFINDING
- ... S KND=2
- ... S FI=""
- ... F  S FI=$O(^TMP(SUB,$J,FTYPE,FI)) Q:FI=""  D
- .... S OFINDING=$O(^TMP(SUB,$J,FTYPE,FI,""))
- .... S FINDING=^TMP(SUB,$J,FTYPE,FI,OFINDING)
- .... I OFINDING=FINDING Q
+ S DATE=^TMP("PXRMEXIA",$J,"DT")
+ S USER=$$GET1^DIQ(200,DUZ,.01,"")
+ S ^PXD(811.8,PXRMRIEN,130,IND,0)=DATE_U_USER
+ S ^PXD(811.8,PXRMRIEN,130,"B",DATE,IND)=""
+ S (INDEX,JND)=0
+ F  S INDEX=$O(^TMP("PXRMEXIA",$J,INDEX)) Q:+INDEX=0  D
+ . S JND=JND+1
+ . S CMPNT=$O(^TMP("PXRMEXIA",$J,INDEX,""))
+ . S ITEM=$O(^TMP("PXRMEXIA",$J,INDEX,CMPNT,""))
+ . S ACTION=$O(^TMP("PXRMEXIA",$J,INDEX,CMPNT,ITEM,""))
+ . S NEWNAME=$G(^TMP("PXRMEXIA",$J,INDEX,CMPNT,ITEM,ACTION))
+ . S ^PXD(811.8,PXRMRIEN,130,IND,1,JND,0)=INDEX_U_CMPNT_U_ITEM_U_ACTION_U_NEWNAME
+ .;Set the 0 node.
+ . S ^PXD(811.8,PXRMRIEN,130,IND,1,0)=U_"811.8031A"_U_JND_U_JND
+ .;Check for finding item changes and save them.
+ . S FTYPE=""
+ . I CMPNT["DEFINITION" S FTYPE="DEFF"
+ . I CMPNT["DIALOG" S FTYPE="DIAF"
+ . I CMPNT["TERM" S FTYPE="TRMF"
+ . I (FTYPE'=""),($D(^TMP("PXRMEXIA",$J,FTYPE))) D
+ .. N FI,FINDING,KND,OFINDING
+ .. S KND=2
+ .. S FI=""
+ .. F  S FI=$O(^TMP("PXRMEXIA",$J,FTYPE,FI)) Q:FI=""  D
+ ... S OFINDING=$O(^TMP("PXRMEXIA",$J,FTYPE,FI,""))
+ ... S FINDING=^TMP("PXRMEXIA",$J,FTYPE,FI,OFINDING)
+ ... I OFINDING=FINDING Q
+ ... S KND=KND+1
+ ... S TEMP=$E(OFINDING,1,33)
+ ... S ^PXD(811.8,PXRMRIEN,130,IND,1,JND,1,KND,0)="    "_TEMP_$$INSCHR^PXRMEXLC((35-$L(TEMP))," ")_FINDING
+ .. S ^PXD(811.8,PXRMRIEN,130,IND,1,JND,1,0)=U_"811.80315A"_U_KND_U_KND
+ .. I KND>2 D
+ ... S ^PXD(811.8,PXRMRIEN,130,IND,1,JND,1,1,0)="   Finding Changes"
+ ... S ^PXD(811.8,PXRMRIEN,130,IND,1,JND,1,2,0)="     Original"_$$INSCHR^PXRMEXLC(27," ")_"New"
+ .;
+ .;Check for TIU template replacements and save them.
+ . I CMPNT["DIALOG" S FTYPE="DIATIU"
+ . E  S FTYPE=""
+ . I (FTYPE'=""),($D(^TMP("PXRMEXIA",$J,FTYPE))) D
+ .. N KND,OTIUT,TIUT,TYPE
+ .. S TYPE=""
+ .. S KND=2
+ .. F  S TYPE=$O(^TMP("PXRMEXIA",$J,FTYPE,TYPE)) Q:TYPE=""  D
+ ... S OTIUT=""
+ ... F  S OTIUT=$O(^TMP("PXRMEXIA",$J,FTYPE,TYPE,OTIUT)) Q:OTIUT=""  D
+ .... S TIUT=$G(^TMP("PXRMEXIA",$J,FTYPE,TYPE,OTIUT))
+ .... I OTIUT=TIUT Q
+ .... I '$D(^TMP("PXRMEXIA",$J,FTYPE,TYPE,OTIUT,ITEM)) Q
  .... S KND=KND+1
- .... S TEMP=$E(OFINDING,1,33)
- .... S ^PXD(811.8,PXRMRIEN,130,IND,1,JND,1,KND,0)="    "_TEMP_$$INSCHR^PXRMEXLC((35-$L(TEMP))," ")_FINDING
+ .... S TEMP=$E(OTIUT,1,33)
+ .... S ^PXD(811.8,PXRMRIEN,130,IND,1,JND,1,KND,0)="    "_TEMP_$$INSCHR^PXRMEXLC((35-$L(TEMP))," ")_TIUT
  ... S ^PXD(811.8,PXRMRIEN,130,IND,1,JND,1,0)=U_"811.80315A"_U_KND_U_KND
  ... I KND>2 D
- .... S ^PXD(811.8,PXRMRIEN,130,IND,1,JND,1,1,0)="   Finding Changes"
+ .... S ^PXD(811.8,PXRMRIEN,130,IND,1,JND,1,1,0)="   "_TYPE
  .... S ^PXD(811.8,PXRMRIEN,130,IND,1,JND,1,2,0)="     Original"_$$INSCHR^PXRMEXLC(27," ")_"New"
- ..;
- ..;Check for TIU template replacements and save them.
- .. I CMPNT["DIALOG" S FTYPE="DIATIU"
- .. E  S FTYPE=""
- .. I (FTYPE'=""),($D(^TMP(SUB,$J,FTYPE))) D
- ... N KND,OTIUT,TIUT,TYPE
- ... S TYPE=""
- ... S KND=2
- ... F  S TYPE=$O(^TMP(SUB,$J,FTYPE,TYPE)) Q:TYPE=""  D
- .... S OTIUT=""
- .... F  S OTIUT=$O(^TMP(SUB,$J,FTYPE,TYPE,OTIUT)) Q:OTIUT=""  D
- ..... S TIUT=$G(^TMP(SUB,$J,FTYPE,TYPE,OTIUT))
- ..... I OTIUT=TIUT Q
- ..... I '$D(^TMP(SUB,$J,FTYPE,TYPE,OTIUT,ITEM)) Q
- ..... S KND=KND+1
- ..... S TEMP=$E(OTIUT,1,33)
- ..... S ^PXD(811.8,PXRMRIEN,130,IND,1,JND,1,KND,0)="    "_TEMP_$$INSCHR^PXRMEXLC((35-$L(TEMP))," ")_TIUT
- .... S ^PXD(811.8,PXRMRIEN,130,IND,1,JND,1,0)=U_"811.80315A"_U_KND_U_KND
- .... I KND>2 D
- ..... S ^PXD(811.8,PXRMRIEN,130,IND,1,JND,1,1,0)="   "_TYPE
- ..... S ^PXD(811.8,PXRMRIEN,130,IND,1,JND,1,2,0)="     Original"_$$INSCHR^PXRMEXLC(27," ")_"New"
- ;If JND is still 0 then there was nothing to save.
- I JND>0 D
- .;Save the header information.
- . S DATE=^TMP("PXRMEXIA",$J,"DT")
- . S TYPE=^TMP("PXRMEXIA",$J,"TYPE")
- . S USER=$$GET1^DIQ(200,DUZ,.01,"")
- . S ^PXD(811.8,PXRMRIEN,130,IND,0)=DATE_U_USER_U_TYPE
- . S ^PXD(811.8,PXRMRIEN,130,"B",DATE,IND)=""
- .;Set the 0 node.
- . S (KND,TOTAL)=0
- . F  S KND=+$O(^PXD(811.8,PXRMRIEN,130,KND)) Q:KND=0  S TOTAL=TOTAL+1
- . S ^PXD(811.8,PXRMRIEN,130,0)=U_"811.803DA"_U_IND_U_TOTAL
  K ^TMP("PXRMEXIA",$J)
- K ^TMP("PXRMEXIAD",$J)
- Q
- ;
+ Q
+ ;
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMEXU2.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMEXU2.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMEXU2.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMEXU2 ; SLC/PKR/PJH - Reminder exchange repository utilities, #2. ;11/21/2007
- ;;2.0;CLINICAL REMINDERS;**6**;Feb 04, 2005;Build 123
+PXRMEXU2 ; SLC/PKR/PJH - Reminder exchange repository utilities, #2. ;09/20/2004
+ ;;2.0;CLINICAL REMINDERS;;Feb 04, 2005
  ;=====================================================
 FDA(IND,LC,TMPIND,FILENAME) ;Build the XML FDA output.
@@ -59,5 +59,5 @@
  S ^TMP("PXRMEXRS",$J,1,0)="<?xml version=""1.0"" standalone=""yes""?>"
  S ^TMP("PXRMEXRS",$J,2,0)="<REMINDER_EXCHANGE_FILE_ENTRY>"
- S VERSN=$P(^PXRM(800,1,"VERSION"),U,1)
+ S VERSN=^PXRM(800,1,"VERSION")
  S ^TMP("PXRMEXRS",$J,3,0)="<PACKAGE_VERSION>"_VERSN_"</PACKAGE_VERSION>"
  ;The pointer to the index will be on line 4 so leave room.
@@ -101,5 +101,4 @@
  . S ^TMP($J,"CIND",NCMPNT,"M_ROUTINE_START")=LC
  . S LC=LC+1,^TMP("PXRMEXRS",$J,LC,0)="<ROUTINE_NAME>"_RNAME_"</ROUTINE_NAME>"
- . S LC=LC+1,^TMP("PXRMEXRS",$J,LC,0)="<CHECKSUM>"_^TMP("PXRMEXCS",$J,"ROUTINE",RNAME)_"</CHECKSUM>"
  . S LC=LC+1,^TMP("PXRMEXRS",$J,LC,0)="<CODE>"
  . S LC=LC+1,^TMP("PXRMEXRS",$J,LC,0)="<![CDATA["
@@ -138,5 +137,4 @@
  ... S ^TMP("PXRMEXRS",$J,LC,0)="<POINT_01>"_$$TOXML^PXRMEXU3(PT01)_"</POINT_01>"
  ... S LC=LC+1,^TMP("PXRMEXRS",$J,LC,0)="<INTERNAL_ENTRY_NUMBER>"_+SIENS_"</INTERNAL_ENTRY_NUMBER>"
- ... S LC=LC+1,^TMP("PXRMEXRS",$J,LC,0)="<CHECKSUM>"_^TMP("PXRMEXCS",$J,IND,FILENAME)_"</CHECKSUM>"
  ... S ^TMP($J,"CIND",NCMPNT,"FDA_START")=LC+3
  ... D FDA(IND,.LC,TMPIND,FILENAME)
@@ -180,10 +178,11 @@
  . S DESL("SOURCE")=^TMP(TMPIND,$J,"SRC","USER")_" at "_^TMP(TMPIND,$J,"SRC","SITE")
  . S DESL("DATEP")=^TMP(TMPIND,$J,"SRC","DATE")
- . S DESL("VRSN")=VERSN
+ . S DESL("VRSN")=$G(^PXRM(800,1,"VERSION"))
  . S DESC="^TMP(TMPIND,$J,""DESC"")"
  . S KEYWORD="^TMP(TMPIND,$J,""KEYWORD"")"
  . D DESC^PXRMEXU1(IENROOT(1),.DESL,$NA(@DESC),$NA(@KEYWORD))
- K ^TMP($J,"CIND"),^TMP("PXRMEXRS",$J)
- K ^TMP(TMPIND,$J),^TMP("PXRMEXCS",$J)
+ K ^TMP($J,"CIND")
+ K ^TMP("PXRMEXRS",$J)
+ K ^TMP(TMPIND,$J)
  Q
  ;
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMEXU4.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMEXU4.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMEXU4.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMEXU4 ; SLC/PJH,PKR - Reminder Exchange #4, dialog changes. ;05/16/2007
- ;;2.0;CLINICAL REMINDERS;**6**;Feb 04, 2005;Build 123
+PXRMEXU4 ; SLC/PJH,PKR - Reminder Exchange #4, dialog changes. ;01/19/2005
+ ;;2.0;CLINICAL REMINDERS;;Feb 04, 2005
  ;===============================================
 DLG(FDA,NAMECHG) ;Check the dialog for renamed entries, called by
@@ -15,6 +15,5 @@
  D BLDALIST^PXRMVPTR(801.4118,.01,.ALIST)
  ;Plus field 15 files
- ;S ALIST("MH")=601,ALIST("TX")=811.2
- S ALIST("MH")=601.71,ALIST("TX")=811.2
+ S ALIST("MH")=601,ALIST("TX")=811.2
  S ALIST("WH")=790.404
  ;Plus field 17 file
@@ -186,34 +185,4 @@
  .. I Y="" S ACTION="Q" Q
  .. I Y'="" S FDA(801.412,IENS,2)=$P(Y,U,2)
- ;Process Result Groups
- F  S IENS=$O(FDA(801.41121,IENS)) Q:IENS=""  D  I ACTION="Q" K FDA S (PXRMDONE,KIDSDONE)=1 Q
- . S PT01=$G(FDA(801.41121,IENS,.01)) Q:PT01=""
- . S FILENUM=801.41,NEWNAM=$G(NAMECHG(FILENUM,PT01))
- .I NEWNAM'="" D
- .. S FDA(801.41121,IENS,2)=NEWNAM,PT01=NEWNAM
- .S IEN=$$EXISTS^PXRMEXIU(FILENUM,PT01)
- .I IEN=0 D
- ..;Get replacement
- .. N DIC,DIR,DUOUT,MSG,X,Y
- .. S MSG(1)=" "
- .. S MSG(2)="RESULT GROUP entry "_PT01_" does not exist."
- .. D MES^XPDUTL(.MSG)
- .. S ACTION=$$GETACT^PXRMEXIU("DPQ",.DIR)
- .. I ACTION="S" S ACTION="Q"
- .. I ACTION="Q" Q
- .. I ACTION="D" K FDA(801.41121,IENS) Q
- .. S DIC=FILENUM
- .. S DIC(0)="AEMNQ"
- .. S DIC("S")="I ""S""[$P(^PXRMD(801.41,Y,0),U,4)"
- .. S Y=-1
- .. F  Q:+Y'=-1  D
- ...;If this is being called during a KIDS install we need echoing on.
- ... I $D(XPDNM) X ^%ZOSF("EON")
- ... D ^DIC
- ... I $D(XPDNM) X ^%ZOSF("EOFF")
- ... I $D(DUOUT) S Y="" Q
- ... I Y=-1 D BMES^XPDUTL("You must input a replacement!")
- .. I Y="" S ACTION="Q" Q
- .. I Y'="" S FDA(801.41121,IENS,.01)=$P(Y,U,2)
  Q
  ;
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMFF.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMFF.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMFF.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMFF ;SLC/PKR - Clinical Reminders function finding evaluation. ;3/29/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMFF ;SLC/PKR - Clinical Reminders function finding evaluation. ;07/17/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;===========================================
 EVAL(DFN,DEFARR,FIEVAL) ;Evaluate function findings.
@@ -70,5 +70,5 @@
  . S LNAME(IND)="PXRMFF"_IND
  . K ^TMP($J,LNAME(IND))
- . D EVALPL^PXRMTERL(.FINDPA,.TERMARR,LNAME(IND))
+ . D EVALPL^PXRMTERM(.FINDPA,.TERMARR,LNAME(IND))
  .;Get rid of the false part of the list.
  . K ^TMP($J,LNAME(IND),0)
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMFF0.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMFF0.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMFF0.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMFF0 ;SLC/PKR - Clinical Reminders function finding routines. ;09/11/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMFF0 ;SLC/PKR - Clinical Reminders function finding routines. ;06/23/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;
  ;============================================
@@ -82,24 +82,4 @@
  ;
  ;============================================
-NUMERIC(LIST,FIEVAL,VALUE) ;Given a finding, return the first numeric
- ;portion of one of the "CSUB" values. Based on original work
- ;by R. Silverman.
- S VALUE=$G(FIEVAL(LIST(1),LIST(2),LIST(3)))
- S VALUE=$$FIRSTNUM(VALUE)
- Q
- ;
-FIRSTNUM(STRING) ;return the first numeric portion of a string.
- N CHAR,DONE,IND,NUMBER,NUMERIC
- S NUMERIC="+-.1234567890"
- S STRING=$TR(STRING," ")
- S DONE=0,IND=0,NUMBER=""
- F  Q:DONE  D
- . S IND=IND+1,CHAR=$E(STRING,IND)
- . I CHAR="" S DONE=1 Q
- . I NUMERIC[CHAR S NUMBER=NUMBER_CHAR
- . I NUMBER'="",NUMERIC'[CHAR S DONE=1
- Q +NUMBER
- ;
- ;============================================
 VALUE(LIST,FIEVAL,VALUE) ;Given a finding return one of its "CSUB"
  ;values.
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMFFAT.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMFFAT.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMFFAT.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMFFAT ;SLC/PKR - Function Finding argument type routines. ;09/11/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMFFAT ;SLC/PKR - Function Finding argument type routines. ;08/03/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;
  ;============================================
@@ -48,8 +48,4 @@
  ;
  ;============================================
-NUMERIC(AN) ;
- Q $S(AN=1:"F",AN=2:"N",AN=3:"S",1:"U")
- ;
- ;============================================
 VALUE(AN) ;
  Q $S(AN=1:"F",AN=2:"N",AN=3:"S",1:"U")
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMFFDB.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMFFDB.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMFFDB.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMFFDB ;SLC/PKR - Function finding data structure builder. ;10/31/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMFFDB ;SLC/PKR - Function finding data structure builder. ;06/22/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;
  ;===========================================
@@ -68,5 +68,5 @@
  N PFSTACK,REPL,RS,TEMP,TS,XS
  S IENB=DA_","_DA(1)_","
- S OPER="!&-+<>='"
+ S OPER="!&<>='"
  S XS=$$PSPACE(X)
  D POSTFIX^PXRMSTAC(XS,OPER,.PFSTACK)
@@ -140,14 +140,11 @@
 PSPACE(OPR) ;OPR is an operand in a function finding, if some portion
  ;of OPR is a string translate a space into "~" so it is preserved.
- ;Note this will work for the entire function string.
- N DONE,END,START,TNS,TS
- S DONE=0,END=1
- F  Q:DONE  D
- . S START=$F(OPR,"""",END)
- . I START=0 S DONE=1 Q
- . S END=$F(OPR,"""",START)
- . S TS=$E(OPR,START,END-2)
- . S TNS=$TR(TS," ","~")
- . S OPR=$$STRREP^PXRMUTIL(OPR,TS,TNS)
+ N END,START,TNS,TS
+ S START=$F(OPR,"""")
+ I START=0 Q OPR
+ S END=$F(OPR,"""",START)-2
+ S TS=$E(OPR,START,END)
+ S TNS=$TR(TS," ","~")
+ S OPR=$$STRREP^PXRMUTIL(OPR,TS,TNS)
  Q OPR
  ;
@@ -198,5 +195,5 @@
  N DAI,DATE,FUNIEN,IND,LIST,MFUN,OPER,PFSTACK,TEMP,TEXT,VALID
  S DAI=DA(1)
- S OPER="!&-+<>='"
+ S OPER="!&<>='"
  ;Define the allowed M functions.
  S MFUN("$P")=""
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMGECN.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMGECN.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMGECN.m	(revision 636)
@@ -1,8 +1,8 @@
-PXRMGECN ;SLC/JVS GEC-Score Reports-cont'd ;06/01/2007
- ;;2.0;CLINICAL REMINDERS;**6**;Feb 04, 2005;Build 123
+PXRMGECN ;SLC/JVS GEC-Score Reports-cont'd ;6/19/03  20:58
+ ;;2.0;CLINICAL REMINDERS;;Feb 04, 2005
  Q
 SUM ;By Summary by Patient
  N CAT,HF,DATE,DFN,Y,HFN,CNTREF,X,REFNUM,SUM,GSUM,CATDANA
- N DATER,SDATE,SCNT
+ N DATER,SDATE
  D E^PXRMGECV("HS1",1,BDT,EDT,"F",DFNONLY)
  I FORMAT="D" S FOR=0
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMHF.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMHF.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMHF.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMHF ; SLC/PKR - Handle Health Factor findings. ;06/01/2007
- ;;2.0;CLINICAL REMINDERS;**6**;Feb 04, 2005;Build 123
+PXRMHF ; SLC/PKR - Handle Health Factor findings. ;12/23/2004
+ ;;2.0;CLINICAL REMINDERS;;Feb 04, 2005
  ;
  ;=====================================================
@@ -142,5 +142,4 @@
  N EM,FIEN,IND,JND,LVL,NOUT,PNAME,TEMP,TEXTOUT,VDATE
  S FIEN=$P(IFIEVAL("FINDING"),";",1)
- ;DBIA #3083
  S PNAME=$P(^AUTTHF(FIEN,0),U,1)
  S NLINES=NLINES+1
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMINDC.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMINDC.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMINDC.m	(revision 636)
@@ -1,9 +1,9 @@
-PXRMINDC ; SLC/PKR - Index counting routines. ;03/06/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMINDC ; SLC/PKR - Index counting routines. ;04/20/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;
  ;========================================================
 CNT5(FILENUM,COUNT) ;Get date counts for indexes where the date
  ;is at subscript 5. Works for file numbers:
- ;63, 70, 120.5, 601.2, 601.84,
+ ;63, 70, 120.5, 601.2,
  ;9000010.11, 9000010.12, 9000010.13, 9000010.16, 9000010.23
  N DAS,DATE,DFN,IND,ITEM,YEAR
@@ -177,5 +177,4 @@
  S ROUTINE(120.5)="CNT5^PXRMINDC"
  S ROUTINE(601.2)="CNT5^PXRMINDC"
- S ROUTINE(601.84)="CNT5^PXRMINDC"
  S ROUTINE(9000011)="CNTPL^PXRMINDC"
  S ROUTINE(9000010.07)="CNT6^PXRMINDC"
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMINDD.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMINDD.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMINDD.m	(revision 636)
@@ -1,9 +1,9 @@
-PXRMINDD ; SLC/PKR - Index string date checking routines. ;03/06/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMINDD ; SLC/PKR - Index string date checking routines. ;05/02/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;
  ;========================================================
 CNT5(FILENUM,NSD) ;Check for string dates for indexes where the date
  ;is at subscript 5. Works for file numbers:
- ;63, 70, 120.5, 601.2, 601.84
+ ;63, 70, 120.5, 601.2,
  ;9000010.11, 9000010.12, 9000010.13, 9000010.16, 9000010.23
  N DAS,DATE,DFN,IND,ITEM
@@ -177,5 +177,4 @@
  S ROUTINE(120.5)="CNT5^PXRMINDD"
  S ROUTINE(601.2)="CNT5^PXRMINDD"
- S ROUTINE(601.84)="CNT5^PXRMINDD"
  S ROUTINE(9000011)="CNTPL^PXRMINDD"
  S ROUTINE(9000010.07)="CNT6^PXRMINDD"
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMINDL.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMINDL.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMINDL.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMINDL ; SLC/PKR - List building routines. ;07/26/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMINDL ; SLC/PKR - List building routines. ;07/17/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;================================================
 EVALPL(FINDPA,ENODE,TERMARR,PLIST) ;General patient list term evaluator.
@@ -25,5 +25,5 @@
  N DAS,DATE,DFN,DS,NFOUND
  K ^TMP($J,PLIST)
- I FILENUM=601.84 D SEVALPL^PXRMMH(ITEM,NOCC,BDT,EDT,PLIST) Q
+ I FILENUM=601.2 D SEVALPL^PXRMMH(ITEM,NOCC,BDT,EDT,PLIST) Q
  S DS=$S(EDT[".":EDT+.0000001,1:EDT+.240001)
  S DFN=0
@@ -84,10 +84,8 @@
  D SSPAR^PXRMUTIL(PFINDPA(0),.NOCC,.BDT,.EDT)
  S INVFD=$P(PFINDPA(0),U,16)
+ S NOCC=$S(NOCC<0:-NOCC,1:NOCC)
  D GETSTATI^PXRMSTAT(FILENUM,.PFINDPA,.STATUSA)
  D SCPAR^PXRMCOND(.PFINDPA,.CASESEN,.COND,.UCIFS,.ICOND,.VSLIST)
- ;Ignore any negative occurrence counts, date reversal not allowed
- ;in patient lists.
- S NOCC=$S(NOCC<0:-NOCC,1:NOCC)
- S NGET=$S(UCIFS:50,$D(STATUSA):50,1:NOCC)
+ S NGET=$S(UCIFS:"*",$D(STATUSA):"*",1:NOCC)
  I SSFIND D FPLISTSS(FILENUM,SNODE,ITEM,NGET,BDT,EDT,USESTRT,TGLIST)
  I 'SSFIND D FPLIST(FILENUM,SNODE,ITEM,NGET,BDT,EDT,TGLIST)
@@ -104,5 +102,5 @@
  .. I PFINDPA(0)["LAB(60" S DAS=ITEM_"~"_DAS
  ..;If this is a Mental Health finding attach the scale to DAS.
- .. I PFINDPA(0)["YTT(601.71" S DAS=DAS_"S"_$P(PFINDPA(0),U,12)
+ .. I PFINDPA(0)["YTT(601" S DAS=DAS_"S"_$P(PFINDPA(0),U,12)
  .. D GETDATA^PXRMDATA(FILENUM,DAS,.FIEVD)
  .. S VALUE=$G(FIEVD("VALUE"))
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMINDX.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMINDX.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMINDX.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMINDX ; SLC/PKR - Routines for utilizing the index. ;10/11/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMINDX ; SLC/PKR - Routines for utilizing the index. ;07/17/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;Code for patient findings.
  ;================================================================
@@ -58,5 +58,5 @@
  S SDIR=$S(NOCC<0:+1,1:-1)
  S NOCC=$S(NOCC<0:-NOCC,1:NOCC)
- S NGET=$S(UCIFS:50,1:NOCC)
+ S NGET=$S(UCIFS:"*",1:NOCC)
  ;Determine if this is a finding with a start and stop date.
  S SSFIND=$S(FILENUM=52:1,FILENUM["55":1,FILENUM=100:1,1:0)
@@ -75,5 +75,5 @@
  . I PFINDPA(0)["LAB(60" S DAS=ITEM_"~"_DAS
  .;If this is a Mental Health finding attach the scale to DAS.
- . I PFINDPA(0)["YTT(601.71" S DAS=DAS_"S"_$P(PFINDPA(0),U,12)
+ . I PFINDPA(0)["YTT(601" S DAS=DAS_"S"_$P(PFINDPA(0),U,12)
  . D GETDATA^PXRMDATA(FILENUM,DAS,.FIEVD)
  . I INVFD D GETDATA^PXRMVSIT(FIEVD("VISIT"),.FIEVD,0)
@@ -101,5 +101,5 @@
  ;data for regular files. FLIST is returned in date order, i.e.,
  ;FLIST(1) is the most recent SDIR=-1, oldest SDIR=+1.
- I FILENUM=601.84 D SEVALFI^PXRMMH(DFN,ITEM,NGET,SDIR,BDT,EDT,.NFOUND,.FLIST) Q
+ I FILENUM=601.2 D SEVALFI^PXRMMH(DFN,ITEM,NGET,SDIR,BDT,EDT,.NFOUND,.FLIST) Q
  N DAS,DATE,DONE,EDTT
  S EDTT=$S(EDT[".":EDT+.0000001,1:EDT+.240001)
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMISE.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMISE.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMISE.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMISE ; SLC/PKR - Index size estimating routines. ;03/13/2006
- ;;2.0;CLINICAL REMINDERS;**6**;Feb 04, 2005;Build 123
+PXRMISE ; SLC/PKR - Index size estimating routines. ;01/12/2005
+ ;;2.0;CLINICAL REMINDERS;;Feb 04, 2005
  ;
  ;========================================================
@@ -37,6 +37,5 @@
  W !,"Queue the Clinical Reminders index size estimation."
  S DIR("A",1)="Enter the date and time you want the job to start."
- S DIR("A",2)="It must be after "_$$FMTE^XLFDT(MINDT,"5Z")
- S DIR("A")="Start the task at: "
+ S DIR("A")="It must be after "_$$FMTE^XLFDT(MINDT,"5Z")_" "
  S DIR(0)="DAU"_U_MINDT_"::RSX"
  D ^DIR
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMLCD.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMLCD.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMLCD.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMLCD ; SLC/PKR - Reminder Patient List Patients ;11/02/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMLCD ; SLC/PKR - Reminder Patient List Patients ;06/30/2005
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;
  ;Display list creation documentation.
@@ -12,5 +12,5 @@
  S IND="",PXRMDONE=0
  F  S IND=$O(VALMY(IND)) Q:(IND="")!(PXRMDONE)  D
- . S LISTIEN=^TMP("PXRMLPU",$J,"SEL",IND)
+ . S LISTIEN=^TMP("PXRMLPU",$J,"IDX",IND,IND)
  . D EN^PXRMLCD(LISTIEN)
  S VALMBCK="R"
@@ -40,6 +40,5 @@
  ;===========================================================
 HDR ; Header code
- S VALMHDR(1)="Documentation for creation of patient list:"
- S VALMHDR(2)=" "_$P(^PXRMXP(810.5,LISTIEN,0),U,1)
+ S VALMHDR(1)="Documentation for creation of patient list "_$P(^PXRMXP(810.5,LISTIEN,0),U,1)
  S VALMSG="+ Next Screen   - Prev Screen   ?? More Actions"
  Q
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMLCR.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMLCR.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMLCR.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMLCR ; SLC/PJH - Create Patient List from individual finding rule; 10/18/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMLCR ; SLC/PJH - Create Patient List from individual finding rule; 08/03/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ; 
  ; Called from PXRM PATIENT LIST CREATE protocol
@@ -37,5 +37,4 @@
 TPAT S PXRMTPAT=$$ASKYN^PXRMEUT("N","Include test patients on the list")
  Q:$D(DTOUT)  G:$D(DUOUT) DPAT
- I $G(PXRMDEBG) D RUN^PXRMLCR(PXRMRULE,PXRMLIST,PXRMNODE,BEG,END,PXRMDPAT,PXRMTPAT) Q
  ;Build patient list in background
  N ZTDESC,ZTDTH,ZTIO,ZTRTN,ZTSAVE
@@ -85,7 +84,7 @@
  ;
  I CALL=4 D
- .S HTEXT(1)="Enter Y to turn on debug output."
- .S HTEXT(2)="The debug output will send a series of MailMan messages to the requestor of the report"
- .S HTEXT(3)="-**WARNING**- the reminder report will take longer to run if you turn on this option!"
+ .S HTEXT(1)="Enter Y to turn on Debug output."
+ .S HTEXT(2)="The debug output will send a series of mailman message to the requestor of the report"
+ .S HTEXT(3)="**WARNING** the reminder report will take longer to run if you turn on this option!"
  D HELP^PXRMEUT(.HTEXT)
  Q
@@ -96,7 +95,5 @@
  S DIC("A")=TEXT
  S DIC("S")="I $P($G(^(100)),U)'=""N"""
- ;If this is a new entry save the creator, make the TYPE public and
- ;CLASS local.
- S DIC("DR")=".07///`"_DUZ_";.08///PUB;100///L"
+ S DIC("DR")="100///L"
  W !
  D ^DIC
@@ -158,5 +155,5 @@
 RUN(PXRMRULE,PXRMLIST,PXRMNODE,BEG,END,PXRMDPAT,PXRMTPAT) ;
  ;Process rule set and update final patient list
- D START^PXRMRULE(PXRMRULE,PXRMLIST,PXRMNODE,BEG,END,"","","",PXRMDPAT,PXRMTPAT,"")
+ D START^PXRMRULE(PXRMRULE,PXRMLIST,PXRMNODE,BEG,END,"","","",PXRMDPAT,PXRMTPAT)
  ;Clear ^TMP lists created for rule
  D CLEAR^PXRMRULE(PXRMRULE,PXRMNODE)
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMLIST.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMLIST.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMLIST.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMLIST ; SLC/PKR/PJH - Clinical Reminders list functions. ;07/17/2007
- ;;2.0;CLINICAL REMINDERS;**6**;Feb 04, 2005;Build 123
+PXRMLIST ; SLC/PKR/PJH - Clinical Reminders list functions. ;10/04/2000
+ ;;2.0;CLINICAL REMINDERS;;Feb 04, 2005
  ;Used in the reminder exchange utility for building lists of
  ;reminders, Exchange File entries, etc.
@@ -11,14 +11,15 @@
  ;
  ;=======================================================
-FMT(NUMBER,NAME,SOURCE,DATE,FMTSTR,NL,OUTPUT) ;Format  entry number, name,
- ;source, and date packed for LM display.
- N TEMP,TSOURCE
- S TEMP=NUMBER_U_NAME
+FRE(NUMBER,NAME,SOURCE,DATE) ;Format  entry number, name, source,
+ ;and date packed.
+ N TEMP,TNAME,TSOURCE
+ S TEMP=$$RJ^XLFSTR(NUMBER,4," ")
+ S TNAME=$E(NAME,1,27)
+ S TEMP=TEMP_"  "_$$LJ^XLFSTR(TNAME,29," ")
  S TSOURCE=$E($P(SOURCE,",",1),1,12)_"@"_$E($P(SOURCE," at ",2),1,12)
- S TEMP=TEMP_U_TSOURCE
+ S TEMP=TEMP_$$LJ^XLFSTR(TSOURCE,23," ")
  S DATE=$$FMTE^XLFDT(DATE,"5Z")
- S TEMP=TEMP_U_DATE
- D COLFMT^PXRMTEXT(FMTSTR,TEMP," ",.NL,.OUTPUT)
- Q
+ S TEMP=TEMP_"  "_$$LJ^XLFSTR(DATE,30," ")
+ Q TEMP
  ;
  ;=======================================================
@@ -74,22 +75,18 @@
  ;
  ;=======================================================
-REXL(RLIST) ;Build a list of exchange repository entries.
- N DATE,EXIEN,FMTSTR,IND,NAME,NL,NUM,OUTPUT,SOURCE,STR
+RE(RLIST,IEN) ;Build a list of repository entries.
+ N DATE,IND,NAME,SOURCE
  ;Build the list in alphabetical order.
- S FMTSTR=$$LMFMTSTR^PXRMTEXT(.VALMDDF,"RLLL")
- S (NUM,VALMCNT)=0
+ S VALMCNT=0
  S NAME=""
  F  S NAME=$O(^PXD(811.8,"B",NAME)) Q:NAME=""  D
  . S DATE=""
  . F  S DATE=$O(^PXD(811.8,"B",NAME,DATE)) Q:DATE=""  D
- .. S EXIEN=$O(^PXD(811.8,"B",NAME,DATE,""))
- .. S SOURCE=$P(^PXD(811.8,EXIEN,0),U,2)
- .. S NUM=NUM+1
- .. S ^TMP(RLIST,$J,"SEL",NUM)=EXIEN
- .. D FMT(NUM,NAME,SOURCE,DATE,FMTSTR,.NL,.OUTPUT)
- .. F IND=1:1:NL D
- ... S VALMCNT=VALMCNT+1,^TMP(RLIST,$J,VALMCNT,0)=OUTPUT(IND)
- ... S ^TMP(RLIST,$J,"IDX",VALMCNT,NUM)=""
- S ^TMP(RLIST,$J,"VALMCNT")=VALMCNT
+ .. S IND=$O(^PXD(811.8,"B",NAME,DATE,""))
+ .. S SOURCE=$P(^PXD(811.8,IND,0),U,2)
+ .. S VALMCNT=VALMCNT+1
+ .. S RLIST(VALMCNT,0)=$$FRE(VALMCNT,NAME,SOURCE,DATE)
+ .. S IEN(VALMCNT)=IND
+ S RLIST("VALMCNT")=VALMCNT
  Q
  ;
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMLLED.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMLLED.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMLLED.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMLLED ; SLC/PJH - Edit a location list. ;06/25/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMLLED ; SLC/PJH - Edit a location list. ;12/23/2005
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;
  ;================================================================
@@ -64,5 +64,5 @@
  S DR(2,810.9001)=".01;1"
  D ^DIE
- I $D(Y) G RD
+ I $D(Y) G DES
  ;
  ;Hospital Locations
